package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.process.model.AuditAdhocDocument;
import com.bankaudit.process.model.AuditAdhocReport;

public interface AuditAdhocReportDao extends Dao {

	void deleteauditAdhocDocument(Integer id, Integer legalEntityCode);

	List<AuditAdhocDocument> getAuditAdhocDocument(Integer legalEntityCode, String auditTypeCode, String planId,
			String auditId, String reportedBy);

	List<AuditAdhocReport> getAuditAdhocReports(int legalEntityCode, String auditTypeCode, String planId,
			String auditId, String reportedBy);

	List<AuditAdhocReport> getAuditAdhocReportsTargetUser(int legalEntityCode, String auditTypeCode, String planId,
			String auditId, String targetUser);

}
